Bug 149736 - dhcp client in installer is lacking support for static-routes
dhcp client in installer is lacking support for static-routes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libdhcp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks: 236936
  Show dependency treegraph
 
Reported: 2005-02-25 16:16 EST by Gerd v. Egidy
Modified: 2012-12-19 22:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 17:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerd v. Egidy 2005-02-25 16:16:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
The dhcp client used in the installer (I think this is pump but I'm not sure  
about that) doesn't recognize the static-routes option (option code 33, RFC  
2132) transmitted via dhcp.  
  
If you need a static route to contact the install server, a network install is  
not possible.  
  
This is e.g. the case for the popular dedicated servers ("Rootserver") rented 
from the largest German provider "United Internet" (the brands are e.g. "1 und 
1", "GMX" and "Schlund und Partner"). 
They use a configuration with a subnet of 255.255.255.255. The default gateway 
is thus not in the local net. A static route transmitted via dhcp fixes this 
for the final system whose dhclient understands this option - but the dhcp 
client used in the installer doesn't understand it. 
So a regular network install is not possible on these servers. 
 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure your DHCP server with the option "static-routes" 
2. Start a network installation 
3. Get an IP via DHCP 
4. Change to virtual terminal 2 (the shell) 
5. "route -n" shows that the static route transmitted via dhcp is not set 
   

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:19:34 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Felix Schwarz 2006-08-13 15:05:10 EDT
Still a problem in FC6 test 2.

The installer does not send the needed DHCP option 121 in order to get the
classless static routes from the dhcp server (verified with ethereal).

Please change version to FC6 test 2 (I don't have enough permissions for that).


Comment 3 Daniel Rindt 2007-02-08 03:38:51 EST
I had the same problem, PUMP not set properly the route. The latest anaconda
Source does not set the route. (IMHO iam not seeing any code which recognize
that (net.c))

So my question is - exists a workaround to avoid this?
Comment 4 David Cantrell 2007-02-12 10:18:39 EST
There is no workaround for this now, other than doing a manual TCP/IP
configuration during installation.

I need to fix this issue in libdhcp.
Comment 5 Daniel Rindt 2007-02-12 10:42:30 EST
thanks for the fast reaction. 
in the meantime i had modified the diskboot.img with a ks.cfg which has in the
%pre some route commands. (i had additionally build a static route command and
had placed this into the initrd.img but this has no success.

did you clued?
Comment 6 Matthew Miller 2007-04-06 12:25:15 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 7 Daniel Rindt 2007-04-10 04:32:30 EDT
The Problem is still persisting.
Comment 8 Matthew Miller 2007-04-10 08:32:14 EDT
Persisting in rawhide or in fc6? Thanks.
Comment 9 Daniel Rindt 2007-04-10 08:40:04 EDT
jupp, AFAIK Mr. Cantrell hasn't fixed yet.
Comment 10 Daniel Rindt 2007-04-10 13:27:24 EDT
Is any Chance that this Problem is fixed soon? We waste a lot of Money and we
cant install the Servers in the Datacenter. 
Comment 11 Gerd v. Egidy 2007-04-10 13:41:10 EDT
Yeah, I'm interested in having this issue fixed too. Installing our servers 
would be much more easy this way. Currently we have to create a disk image on 
a local server and upload the image to the datacenter. Just using the regular 
anaconda via serial console would be about 10 times faster.
Comment 12 David Cantrell 2007-04-10 13:47:02 EDT
Working on it now.
Comment 13 David Cantrell 2007-04-11 17:19:50 EDT
This has been fixed in libdhcp-1.24-2.fc7 in rawhide.  Anaconda will have to be
rebuilt against this new libdhcp, and that may or may not happen today.

Note You need to log in before you can comment on or make changes to this bug.